using SharpRss.Models;
using SharpRss.Services;

namespace WebSharpRSS.Models
{
    public class TreeItemData
    {
        public TreeItemData(GroupModel catModel, RssService rssService)
        {
            _service = rssService;
            CategoryModel = catModel;
        }

        public TreeItemData(FeedModel feedModel, RssService rssService)
        {
            _service = rssService;
            FeedModel = feedModel;
        }

        private readonly RssService _service;
        public readonly GroupModel? CategoryModel;
        public readonly FeedModel? FeedModel;

        public string Title { get; set; } = string.Empty;
        public bool IsSelected { get; set; }
        public string? Icon { get; set; }
        public string? FaviconUrl { get; set; }

        // Category
        public bool HasChild { get; set; }
        public bool IsExpanded { get; set; }
    }
}